com.fasterxml.jackson.module.jaxb

## Enum JaxbAnnotationModule.Priority

- java.lang.Object
- - java.lang.Enum<JaxbAnnotationModule.Priority>
  - - com.fasterxml.jackson.module.jaxb.JaxbAnnotationModule.Priority

All Implemented Interfaces:
  Serializable, Comparable<JaxbAnnotationModule.Priority>

Enclosing class:
  JaxbAnnotationModule

    public static enum JaxbAnnotationModule.Priority
    extends Enum<JaxbAnnotationModule.Priority>

Enumeration that defines how we use JAXB Annotations: either as "primary" annotations (before any other already configured introspector -- most likely default JacksonAnnotationIntrospector) or as "secondary" annotations (after any other already configured introspector(s)).

Default choice is PRIMARY

Note that if you want to use JAXB annotations as the only annotations, you must directly set annotation introspector by calling `ObjectMapper.setAnnotationIntrospector(com.fasterxml.jackson.databind.AnnotationIntrospector)`.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PRIMARY`
`SECONDARY`

### Method Summary

All Methods Static Methods Concrete Methods
`static JaxbAnnotationModule.Priority` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JaxbAnnotationModule.Priority[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PRIMARY

    public static final JaxbAnnotationModule.Priority PRIMARY

#### SECONDARY

    public static final JaxbAnnotationModule.Priority SECONDARY

### Method Detail

#### values

    public static JaxbAnnotationModule.Priority[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JaxbAnnotationModule.Priority c : JaxbAnnotationModule.Priority.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JaxbAnnotationModule.Priority valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null